# types.h File Reference

Go to the source code of this file.

## Namespaces
namespace | Cairo
## Typedefs
typedef cairo_font_extents_t | Cairo::FontExtents
| See the cairo_font_extents_t reference in the cairo manual for more information.
typedef cairo_glyph_t | Cairo::Glyph
| See the cairo_glyph_t reference in the cairo manual for more information.
typedef cairo_rectangle_t | Cairo::Rectangle
| See the cairo_rectangle_t reference in the cairo manual for more information.
typedef cairo_text_cluster_t | Cairo::TextCluster
| See the cairo_text_cluster_t reference in the cairo manual for more information.
typedef cairo_text_extents_t | Cairo::TextExtents
| See the cairo_text_extents_t reference in the cairo manual for more information.